Subject: bug#15926: RFE: unlink command already uses 'unlink' call; make 'rm' use 'remove' call

From: Bernhard Voelker <[email-masked]>
Date: Sat, 30 Nov 2013 22:48:02 +0100

On 11/30/2013 10:33 PM, Bob Proulx wrote:
> [...]  I still think that
> was way too much investment for the potential return.

I wouldn't say that: 20 of the 21 runs of "rm -r /" prove that
'rm' skips the '/' argument and various synonyms, as required
by POSIX (and common sense).  I think it's important to ensure
that this skipping works.

> But for example what happens if the preferred unlink command ever
> changes from unlinkat() to something new about ten years in the
> future?

At the start, the test proves that intercepting unlinkat() via
LD_PRELOAD works and that the arguments (once for a file, once for
a directory) still exist afterward.

> I really don't want to be a rainy day but I worry about these things.

That's basically a good thing. This is really a delicate test,
so I'd like to encourage as much people as possible to have a
look at it.  Please feel free to double- (or more) read the code.

Have a nice day,
Berny